/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.portlet.messageboards.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.AttachedModel;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.model.StagedGroupedModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the MBDiscussion service. Represents a row in the &quot;MBDiscussion&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link com.liferay.portlet.messageboards.model.impl.MBDiscussionModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link com.liferay.portlet.messageboards.model.impl.MBDiscussionImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see MBDiscussion
 * @see com.liferay.portlet.messageboards.model.impl.MBDiscussionImpl
 * @see com.liferay.portlet.messageboards.model.impl.MBDiscussionModelImpl
 * @generated
 */
public interface MBDiscussionModel extends AttachedModel, BaseModel<MBDiscussion>,
	StagedGroupedModel {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a message boards discussion model instance should use the {@link MBDiscussion} interface instead.
	 */

	/**
	 * Returns the primary key of this message boards discussion.
	 *
	 * @return the primary key of this message boards discussion
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this message boards discussion.
	 *
	 * @param primaryKey the primary key of this message boards discussion
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the uuid of this message boards discussion.
	 *
	 * @return the uuid of this message boards discussion
	 */
	@AutoEscape
	public String getUuid();

	/**
	 * Sets the uuid of this message boards discussion.
	 *
	 * @param uuid the uuid of this message boards discussion
	 */
	public void setUuid(String uuid);

	/**
	 * Returns the discussion ID of this message boards discussion.
	 *
	 * @return the discussion ID of this message boards discussion
	 */
	public long getDiscussionId();

	/**
	 * Sets the discussion ID of this message boards discussion.
	 *
	 * @param discussionId the discussion ID of this message boards discussion
	 */
	public void setDiscussionId(long discussionId);

	/**
	 * Returns the group ID of this message boards discussion.
	 *
	 * @return the group ID of this message boards discussion
	 */
	public long getGroupId();

	/**
	 * Sets the group ID of this message boards discussion.
	 *
	 * @param groupId the group ID of this message boards discussion
	 */
	public void setGroupId(long groupId);

	/**
	 * Returns the company ID of this message boards discussion.
	 *
	 * @return the company ID of this message boards discussion
	 */
	public long getCompanyId();

	/**
	 * Sets the company ID of this message boards discussion.
	 *
	 * @param companyId the company ID of this message boards discussion
	 */
	public void setCompanyId(long companyId);

	/**
	 * Returns the user ID of this message boards discussion.
	 *
	 * @return the user ID of this message boards discussion
	 */
	public long getUserId();

	/**
	 * Sets the user ID of this message boards discussion.
	 *
	 * @param userId the user ID of this message boards discussion
	 */
	public void setUserId(long userId);

	/**
	 * Returns the user uuid of this message boards discussion.
	 *
	 * @return the user uuid of this message boards discussion
	 * @throws SystemException if a system exception occurred
	 */
	public String getUserUuid() throws SystemException;

	/**
	 * Sets the user uuid of this message boards discussion.
	 *
	 * @param userUuid the user uuid of this message boards discussion
	 */
	public void setUserUuid(String userUuid);

	/**
	 * Returns the user name of this message boards discussion.
	 *
	 * @return the user name of this message boards discussion
	 */
	@AutoEscape
	public String getUserName();

	/**
	 * Sets the user name of this message boards discussion.
	 *
	 * @param userName the user name of this message boards discussion
	 */
	public void setUserName(String userName);

	/**
	 * Returns the create date of this message boards discussion.
	 *
	 * @return the create date of this message boards discussion
	 */
	public Date getCreateDate();

	/**
	 * Sets the create date of this message boards discussion.
	 *
	 * @param createDate the create date of this message boards discussion
	 */
	public void setCreateDate(Date createDate);

	/**
	 * Returns the modified date of this message boards discussion.
	 *
	 * @return the modified date of this message boards discussion
	 */
	public Date getModifiedDate();

	/**
	 * Sets the modified date of this message boards discussion.
	 *
	 * @param modifiedDate the modified date of this message boards discussion
	 */
	public void setModifiedDate(Date modifiedDate);

	/**
	 * Returns the fully qualified class name of this message boards discussion.
	 *
	 * @return the fully qualified class name of this message boards discussion
	 */
	public String getClassName();

	public void setClassName(String className);

	/**
	 * Returns the class name ID of this message boards discussion.
	 *
	 * @return the class name ID of this message boards discussion
	 */
	public long getClassNameId();

	/**
	 * Sets the class name ID of this message boards discussion.
	 *
	 * @param classNameId the class name ID of this message boards discussion
	 */
	public void setClassNameId(long classNameId);

	/**
	 * Returns the class p k of this message boards discussion.
	 *
	 * @return the class p k of this message boards discussion
	 */
	public long getClassPK();

	/**
	 * Sets the class p k of this message boards discussion.
	 *
	 * @param classPK the class p k of this message boards discussion
	 */
	public void setClassPK(long classPK);

	/**
	 * Returns the thread ID of this message boards discussion.
	 *
	 * @return the thread ID of this message boards discussion
	 */
	public long getThreadId();

	/**
	 * Sets the thread ID of this message boards discussion.
	 *
	 * @param threadId the thread ID of this message boards discussion
	 */
	public void setThreadId(long threadId);

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public Serializable getPrimaryKeyObj();

	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

	public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(MBDiscussion mbDiscussion);

	public int hashCode();

	public CacheModel<MBDiscussion> toCacheModel();

	public MBDiscussion toEscapedModel();

	public MBDiscussion toUnescapedModel();

	public String toString();

	public String toXmlString();
}